%define module  svglib

Name:           python-%{module}
Version:        1.4.1
Release:        %mkrel 3
Summary:        Python library for reading and converting SVG
Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/deeplook/svglib
Source0:        %{pypi_source %{module}}
BuildArch:      noarch

%description
Pure Python library for reading and converting SVG.

%package -n     python3-%{module}
Summary:        Python 3 library for reading and converting SVG
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pure Python3 library for reading and converting SVG.

%prep
%setup -q -n %{module}-%{version}


# Remove hashbang
sed -i '1{/^#!/d}' svglib/svglib.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files svglib

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt
%{_bindir}/svg2pdf
%{_mandir}/man1/svg2pdf.1*


%changelog
* Sun Mar 02 2025 wally <wally> 1.4.1-3.mga10
+ Revision: 2158774
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 1.4.1-2.mga10
+ Revision: 2035993
- rebuild for python 3.12

* Thu Nov 24 2022 daviddavid <daviddavid> 1.4.1-1.mga9
+ Revision: 1910834
- new version: 1.4.1
- initial package python-svglib

